import { FrameContext, ResolveContextFunction } from './types.js';
import '@farcaster/frame-host';
import 'frames.js/frame-parsers';
import 'ox/Provider';
import 'ox/RpcSchema';

type UseResolveContextOptions = {
    context: FrameContext | ResolveContextFunction;
};
type UseResolveContextResult = {
    status: "success";
    context: FrameContext;
} | {
    status: "error";
    error: Error;
} | {
    status: "pending";
};
declare function useResolveContext({ context, }: UseResolveContextOptions): UseResolveContextResult;

export { useResolveContext };
